<?php
include_once '../../sys/inc/start.php';
include_once '../../sys/inc/compress.php';
include_once '../../sys/inc/sess.php';
include_once '../../sys/inc/home.php';
include_once '../../sys/inc/settings.php';
include_once '../../sys/inc/db_connect.php';
include_once '../../sys/inc/ipua.php';
include_once '../../sys/inc/fnc.php';
include_once '../../sys/inc/user.php';

$set['title']='Наперстки'; // заголовок страницы
include_once '../../sys/inc/thead.php';
title();
aut();
$act = isset($_GET['act']) ? $_GET['act'] : '';


$rand = mt_rand(100, 999);
$balls_plus = "7";
$balls_minus = "7";


    switch ($act) {

        case "choice":
            if (isset($_SESSION['naperstki'])) {
                $_SESSION['naperstki'] = "";
                unset($_SESSION['naperstki']);
            }


echo '<a href="index.php?act=go&amp;thimble=1&amp;rand=' . $rand .'"><img src="2.gif" alt=""/></a>
<a href="index.php?act=go&amp;thimble=2&amp;rand=' . $rand .'"><img src="2.gif" alt=""/></a>
<a href="index.php?act=go&amp;thimble=3&amp;rand=' . $rand .'"><img src="2.gif" alt=""/></a><br/><br/>
Выберите наперсток в котором может находится шарик<br/>';
		echo "Баллы: $user[balls]<br />\n";
echo '<br/><a href="index.php">Вернуться</a>';

            break;
        case "go":

            if ($user['balls'] >= $balls_minus) {

                if (intval(@$_SESSION['naperstki']) < "1") {

                    @$_SESSION['naperstki']++;

                    $thimble = intval($_GET['thimble']);

                    $rand_thimble = mt_rand(1, 3);


                    if ($rand_thimble == "1") {
                        echo '<img src="3.gif" alt=""/> ';
                    } else {
                        echo '<img src="2.gif" alt=""/> ';
                    }

                    if ($rand_thimble == "2") {
                        echo '<img src="3.gif" alt=""/> ';
                    } else {
                        echo '<img src="2.gif" alt=""/> ';
                    }

                    if ($rand_thimble == "3") {
                        echo '<img src="3.gif" alt=""/>';
                    } else {
                        echo '<img src="2.gif" alt=""/>';
                    }


                    //------------------------------ Выигрыш ----------------------------//
                    if ($thimble == $rand_thimble) {
                        $balls_plus_c = ($user['balls'] + $balls_plus);
                        mysql_query("update `user` set balls='" . $balls_plus_c . "' where id='" . $user['id'] ."';");
                        echo '<br/><b>Вы выиграли!</b><br/>';
                        //------------------------------ Проигрыш ----------------------------//
                    } else {
                        $balls_minus_с = ($user['balls'] - $balls_minus);
                        mysql_query("update `user` set balls='" . $balls_minus_с . "' where id='" .$user['id']."';");

                        echo '<br/><b>Вы проиграли!</b><br/>';
                    }


                } else {
                    echo '<b>Необходимо выбрать один из наперстков</b><br/>';
                }


                echo '<br/><b><a href="index.php?act=choice&amp;rand=' . $rand .'">К выбору</a></b><br/><br/>';
                /////////////////////////


            } else {
                echo '<b>Вы не можете играть, необходимо повысить баланс</b><br/>';
echo "<a href=\"../index.php\">&#187;Назад</a>\n";
            }


            break;
        case "faq":
            echo 'Для участия в игре нажмите "Играть"<br/>
			За каждый проигрыш у вас будут списывать по ' . $balls_minus . '<br/>
За каждый выигрыш вы получите ' . $balls_plus . '<br/>
Шанс банкира на выигрыш немного больше, чем у вас<br/>
Желаю удачи!<br/>';
echo "<a href=\"index.php\">&#187;Назад</a>\n";
            break;
        default:

            echo '<img src="1.gif" alt=""/><br/><br/>
<b><a href="index.php?act=choice">Играть</a></b><br/>
<a href="index.php?act=faq">Помощь</a><br/>';
		echo "Баллы: $user[balls]<br />\n";
echo "<a href=\"index.php\">&#187;Назад</a>\n";
break;
    }
include_once '../../sys/inc/tfoot.php';
?>